package com.nisum.ecomproduct.model;

import lombok.Data;
import lombok.NoArgsConstructor;
import org.springframework.data.annotation.Id;
import org.springframework.data.mongodb.core.mapping.Document;

import javax.validation.constraints.Min;
import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;

@NoArgsConstructor
@Data
@Document("products")
public class Product {

    @Id
    private String id;

    @NotBlank(message = "product name can't be blank")
    private String name;

    @NotBlank(message = "product description can't be blank")
    private String description;

    @NotNull(message = "price is mandatory")
    @Min(value = 1, message = "price can't be negative or zero")
    private Double price;
}
